<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.mediademo">

    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />
    <uses-permission android:name="com.oplus.ocs.permission.third"/>

    <queries>
        <package android:name="com.coloros.karaoke"></package>
        <package android:name="com.coloros.ocs.opencapabilityservice"></package>
        <package android:name="com.oplus.ocs"></package>
    </queries>

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Itgsa">

        <meta-data
            android:name="com.oplus.ocs.media.AUTH_CODE"
            android:value="ATBGAiEAvSb8HVBi9iPd85D9ytWzXOFbEylfv62G32VQcmWXCQ0CIQCNEzypKeRlIM2aKlT4MJC9YoYpHIg60pBWaykj8b/ZXWxT3ZyAAAAA">
        </meta-data>

        <activity
            android:name=".MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".KTVActivity"
            android:label="@string/title_KTV"
            android:screenOrientation="portrait">
            <!--            <intent-filter>-->
            <!--                <action android:name="android.intent.action.KTVActivity" />-->
            <!--                <category android:name="android.intent.category.DEFAULT" />-->
            <!--            </intent-filter>-->
        </activity>
    </application>

</manifest>